Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.genins.domain
Class RequestParameters

    java.lang.Object
      be.ehealth.business.mycarenetdomaincommons.domain.Routing
          be.ehealth.businessconnector.genins.domain.RequestParameters

All Implemented Interfaces:
  Serializable

    public class RequestParameters

extends Routing
implements Serializable

RequestParameters pojo class.

See Also:
  Serialized Form

Constructor Summary
`RequestParameters()`

Method Summary
`String` | `getInss()`
`InsurabilityContactTypeType` | `getInsurabilityContactType()`
`String` | `getInsurabilityReference()`
`InsurabilityRequestTypeType` | `getInsurabilityRequestType()`
`String` | `getMutuality()`
`org.joda.time.DateTime` | `getPeriodEnd()`
`org.joda.time.DateTime` | `getPeriodStart()`
`String` | `getRegNrWithMut()`
`void` | `setInss(String inss)`
`void` | `setInsurabilityContactType(InsurabilityContactTypeType insurabilityContactType)`
`void` | `setInsurabilityReference(String insurabilityReference)`
`void` | `setInsurabilityRequestType(InsurabilityRequestTypeType insurabilityRequestType)`
`void` | `setMutuality(String mutuality)`
`void` | `setPeriodEnd(org.joda.time.DateTime periodEnd)`
`void` | `setPeriodStart(org.joda.time.DateTime periodStart)`
`void` | `setRegNrWithMut(String regNrWithMut)`

Methods inherited from class be.ehealth.business.mycarenetdomaincommons.domain.Routing
`getCareReceiver, getPeriod, getReferenceDate, getSubject, setCareReceiver, setPeriod, setReferenceDate, setSubject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestParameters

    public RequestParameters()

Method Detail

### getInss

    public String getInss()

  Returns:
    the inss

### getRegNrWithMut

    public String getRegNrWithMut()

  Returns:
    the regNrWithMut

### getMutuality

    public String getMutuality()

  Returns:
    the mutuality

### getInsurabilityRequestType

    public InsurabilityRequestTypeType getInsurabilityRequestType()

  Returns:
    the insurabilityRequestType

### getPeriodStart

    public org.joda.time.DateTime getPeriodStart()

  Returns:
    the periodStart

### getPeriodEnd

    public org.joda.time.DateTime getPeriodEnd()

  Returns:
    the periodEnd

### getInsurabilityContactType

    public InsurabilityContactTypeType getInsurabilityContactType()

  Returns:
    the insurabilityContactType

### getInsurabilityReference

    public String getInsurabilityReference()

  Returns:
    the insurabilityReference

### setInss

    public void setInss(String inss)

  Parameters:
    `inss` - the inss to set

### setRegNrWithMut

    public void setRegNrWithMut(String regNrWithMut)

  Parameters:
    `regNrWithMut` - the regNrWithMut to set

### setMutuality

    public void setMutuality(String mutuality)

  Parameters:
    `mutuality` - the mutuality to set

### setInsurabilityRequestType

    public void setInsurabilityRequestType(InsurabilityRequestTypeType insurabilityRequestType)

  Parameters:
    `insurabilityRequestType` - the insurabilityRequestType to set

### setPeriodStart

    public void setPeriodStart(org.joda.time.DateTime periodStart)

  Parameters:
    `periodStart` - the periodStart to set

### setPeriodEnd

    public void setPeriodEnd(org.joda.time.DateTime periodEnd)

  Parameters:
    `periodEnd` - the periodEnd to set

### setInsurabilityContactType

    public void setInsurabilityContactType(InsurabilityContactTypeType insurabilityContactType)

  Parameters:
    `insurabilityContactType` - the insurabilityContactType to set

### setInsurabilityReference

    public void setInsurabilityReference(String insurabilityReference)

  Parameters:
    `insurabilityReference` - the insurabilityReference to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.